# Trait io_lifetimes::raw::IntoRawFilelike

source · [−]

    pub trait IntoRawFilelike: IntoRawFd {
        fn into_raw_filelike(self) -> RawFilelike;
    }

Expand description

This is a portability abstraction over Unix-like `IntoRawFd` and Windows’ `IntoRawHandle`.

## Required Methods

source

#### fn into_raw_filelike(self) -> RawFilelike

Returns the raw value.

## Implementors

source

### impl<T: IntoRawFd> IntoRawFilelike for T